# std::promise::get_future

From cppreference.com
< cpp‎ | thread‎ | promise

std::future<T> get_future(); |  | (since C++11)

Returns a future object associated with the same shared state as *this.

Exception is thrown if *this has no shared state or `get_future` has already been called. To get multiple "pop" ends of the promise-future communication channel, use std::future::share.

### Parameters

(none)

### Return value

A future referring to the shared state of *this

### Exceptions

std::future_error on the following conditions:

- *this has no shared state. The error category is set to `no_state`.

- `get_future()` has already been called on a promise with the same shared state as *this. The error category is set to `future_already_retrieved`.

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/thread/promise/get_future&oldid=80086"